#ifndef TIME_H_INCLUDED
#define TIME_H_INCLUDED
#include "common.h"

typedef unsigned long time_t;

extern time_t	now;

struct tm
{
	BYTE	tm_sec;				// Seconds.     [0-60]
	BYTE	tm_min;				// Minutes.     [0-59]
	BYTE	tm_hour;			// Hours.       [0-23]
	BYTE	tm_mday;			// Day.         [1-31]
	BYTE	tm_mon;				// Month.       [0-11]
	int		tm_year;			// Year since 1900
	BYTE	tm_wday;			// Day of week. [0-6]
	int		tm_yday;			// Days in year.[0-365]
//	BYTE	tm_isdst;			// Daylight saving time
};

extern void update_time(void);
extern time_t time(time_t *t);
extern struct tm* gmtime(time_t *t);
extern time_t mktime(struct tm *t);
extern char *asctime(struct tm *t);
extern void CheckTime(struct tm *t);

extern char *datestr(struct tm *t);
extern char *timestr(struct tm *t);
extern int atodate(char * buf, struct tm * t);
extern int atotime(char * buf, struct tm *t);

#define localtime(t) gmtime(t)
#define cdatestr(t)	datestr(localtime(t))
#define ctimestr(t) timestr(localtime(t))
#define ctime(t) asctime(localtime(t))

#endif // TIME_H_INCLUDED

